#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  libkexiv2-20.12.2

- Next

  libkdcraw-20.12.2

- Up
- Home

# Okular-20.12.2

## Introduction to Okular

Okular is a document viewer for KDE. It can view documents of many types including PDF, PostScript, TIFF, Microsoft CHM, DjVu, DVI, XPS and ePub.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/20.12.2/src/okular-20.12.2.tar.xz

- Download MD5 sum: c66ed86b00a8f0f76ffd3c9d35ba4e8e

- Download size: 7.5 MB

- Estimated disk space required: 87 MB

- Estimated build time: 0.7 SBU (using parallelism=4)

### Okular Dependencies

#### Required

KDE Frameworks-5.79.0

#### Recommended

libkexiv2-20.12.2, LibTIFF-4.2.0, and Poppler-21.02.0 (built with Qt5, required for PDF support)

#### Optional

qca-2.3.2, DjVuLibre, kpimtextedit, libspectre (for PostScript support), libchm, libepub, and Mobipocket

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/okular5

## Installation of Okular

Install Okular by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: okular
Installed Library: libOkular5Core.so
Installed Directories: $KF5_PREFIX/include/okular, $KF5_PREFIX/lib/cmake/Okular5, $KF5_PREFIX/lib/plugins/okular, $KF5_PREFIX/share/kxmlgui5/okular, $KF5_PREFIX/share/okular, $KF5_PREFIX/share/doc/HTML/*/okular, and

### Short Descriptions

okular | is a document viewer

Last updated on 2021-02-24 06:51:33 -0800

- Prev

  libkexiv2-20.12.2

- Next

  libkdcraw-20.12.2

- Up
- Home